0

enter image description here

The zipalign is installed but it is not working. I installed it from a .deb file by : "root@kali:~# sudo dpkg -i zipalign_21-4_amd64.deb" Please help

2
  • 2
    Why are no repositories configured? Did you remove or edit /etc/apt/sources.list, or files in /etc/apt/sources.list.d? zipalign is available from the Kali repositories, you should install it from there. Commented Jun 2, 2020 at 11:24
  • @StephenKitt No i didn't edited anything in the sources.list, but i can't install it directly, it says unable to find the package. Can you show or tell me the contents of the sources.list Commented Jun 3, 2020 at 12:12

1 Answer 1

1

The fact that all your package lines (from apt list) end with “[installed,local]” means that you don’t have any configured repositories, so the first thing to do is to fix that, using the appropriate Kali repository:

echo deb http://http.kali.org/kali kali-rolling main non-free contrib > /etc/apt/sources.list

(Note that this will replace all your /etc/apt/sources.list.)

Then, update your repositories:

apt update

You’ll probably need to remove zipalign at this point, temporarily:

dpkg -r zipalign

But you’ll then be able to install the current version from the repository:

apt install zipalign

See also What should be in the sources.list for Kali Rolling Linux?

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .